// Copyright (C) 2013-2014 - Michael Baudin
//
// This file must be used under the terms of the 
// GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// Estimation de la moyenne

// Experience B
// Distribution de la moyenne empirique d'une variable exponentielle.
mu=12;
Nsample=1000;
[M,V]=distfun_expstat(mu);
x=linspace(0,40,100);
scf();
//
n=1;
X = distfun_exprnd(mu,Nsample,n);
Mn=mean(X,"c");
subplot(2,2,1);
histplot(20,Mn)
y=distfun_normpdf(x,M,sqrt(V/n));
plot(x,y,"r-");
xtitle("Sample Mean - n=1","M","Frequency");
legend(["Data","Normal PDF"]);
//
n=2;
X = distfun_exprnd(mu,Nsample,n);
Mn=mean(X,"c");
subplot(2,2,2);
histplot(20,Mn)
y=distfun_normpdf(x,M,sqrt(V/n));
plot(x,y,"r-");
xtitle("Sample Mean - n=2","M","Frequency");
legend(["Data","Normal PDF"]);
//
n=4;
X = distfun_exprnd(mu,Nsample,n);
Mn=mean(X,"c");
subplot(2,2,3);
histplot(20,Mn)
y=distfun_normpdf(x,M,sqrt(V/n));
plot(x,y,"r-");
xtitle("Sample Mean - n=4","M","Frequency");
legend(["Data","Normal PDF"]);
//
n=8;
X = distfun_exprnd(mu,Nsample,n);
Mn=mean(X,"c");
subplot(2,2,4);
histplot(20,Mn)
y=distfun_normpdf(x,M,sqrt(V/n));
plot(x,y,"r-");
xtitle("Sample Mean - n=8","M","Frequency");
legend(["Data","Normal PDF"]);
