// Copyright (C) 2013-2014 - Michael Baudin
//
// This file must be used under the terms of the 
// GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

// Theoreme limite central
a=-4;
b=2;
[M,V]=distfun_unifstat(a,b);
N=10000;
scf();
// 
k=1;
subplot(2,2,1);
R=distfun_unifrnd(a,b,N,k);
S=(sum(R,"c")-k*M)/(sqrt(k*V));
histplot(20,S);
x=linspace(-3,3,100);
y=distfun_normpdf(x,0,1);
plot(x,y,"b-")
xtitle("k=1","x","Density")
legend(["Data","Normal(0,1)"]);
//
k=2;
subplot(2,2,2);
R=distfun_unifrnd(a,b,N,k);
S=(sum(R,"c")-k*M)/(sqrt(k*V));
histplot(20,S);
x=linspace(-3,3,100);
y=distfun_normpdf(x,0,1);
plot(x,y,"b-")
xtitle("k=2","x","Density")
legend(["Data","Normal(0,1)"]);
//
k=4;
subplot(2,2,3);
R=distfun_unifrnd(a,b,N,k);
S=(sum(R,"c")-k*M)/(sqrt(k*V));
histplot(20,S);
x=linspace(-3,3,100);
y=distfun_normpdf(x,0,1);
plot(x,y,"b-")
xtitle("k=4","x","Density")
legend(["Data","Normal(0,1)"]);
//
k=8;
subplot(2,2,4);
R=distfun_unifrnd(a,b,N,k);
S=(sum(R,"c")-k*M)/(sqrt(k*V));
histplot(20,S);
x=linspace(-3,3,100);
y=distfun_normpdf(x,0,1);
plot(x,y,"b-")
xtitle("k=8","x","Density")
legend(["Data","Normal(0,1)"]);
